View Issue Details

IDProjectCategoryView StatusLast Update
0035769FPCFCLpublic2019-09-01 13:44
ReporterGabor BorosAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.2.0Product Build42215 
Target VersionFixed in Version3.3.1 
Summary0035769: BufDataset.Lookup trigger On*Scroll events
DescriptionSee the attached example.
TagsNo tags attached.
Fixed in Revision42886
FPCOldBugId
FPCTarget3.2.0
Attached Files

Activities

Gabor Boros

2019-06-25 22:27

reporter  

BufDataset_Lookup.zip (466 bytes)

Michael Van Canneyt

2019-06-25 22:52

administrator   ~0116938

As far as I know, this is delphi compatible, but I will check this.

Gabor Boros

2019-06-26 20:32

reporter   ~0116948

Result with FPC and BufDataset:

BeforeScroll
AfterScroll
BeforeScroll
AfterScroll
3

Result with Delphi 10.3.1 and ClientDataSet:

3

If change Lookup to Locate the result is same with FPC and Delphi:

BeforeScroll
AfterScroll
2

Michael Van Canneyt

2019-09-01 13:44

administrator   ~0117908

Fixed, thanks for reporting !

Issue History

Date Modified Username Field Change
2019-06-25 22:27 Gabor Boros New Issue
2019-06-25 22:27 Gabor Boros File Added: BufDataset_Lookup.zip
2019-06-25 22:52 Michael Van Canneyt Note Added: 0116938
2019-06-26 20:32 Gabor Boros Note Added: 0116948
2019-06-30 19:25 Michael Van Canneyt Assigned To => Michael Van Canneyt
2019-06-30 19:25 Michael Van Canneyt Status new => assigned
2019-09-01 13:44 Michael Van Canneyt Status assigned => resolved
2019-09-01 13:44 Michael Van Canneyt Resolution open => fixed
2019-09-01 13:44 Michael Van Canneyt Fixed in Version => 3.3.1
2019-09-01 13:44 Michael Van Canneyt Fixed in Revision => 42886
2019-09-01 13:44 Michael Van Canneyt FPCTarget => 3.2.0
2019-09-01 13:44 Michael Van Canneyt Note Added: 0117908